import "./RoadType.scss";

interface IRoadTypeProps {
  children: React.ReactNode;
  color: string;
}

const RoadType: React.FC<IRoadTypeProps> = ({
  children,
  color,
}: IRoadTypeProps) => {
  return (
    <div className="road-type" style={{ backgroundColor: color }}>
      {children}
    </div>
  );
};

export default RoadType;
